These are the browsers and operating systems we have tested Halite on, and we will continue to support these during the competition. If you run into any issues with Halite that are due to incompatibilities with your operating system or browser, do let us know at halite@halite.io.

While we cant promise supporting a large cross section of browsers and operating systems, we will consider each request carefully.

Halite Game Engine

These are the operating systems that we have tested on, but are not hard minimum requirements. We expect the Halite executable to work on some older versions of the these operating systems as well.

  • Mac OSX 10.12.6
  • Ubuntu 17.04 - Other distributions should work with GCC 4.9 or later (with corresponding GLIBC)
  • Windows 10

Browsers

While we haven’t tested browser support on multiple Linux distributions, supported versions of Chrome (55+) or Firefox (53+) should work.

Mac OSX 10.10 + Chrome 55+ Safari 11+ Firefox 53+
Windows 10 + Chrome 55+ NA Firefox 53+ Edge 15+
Linux (Debian 7) Chrome 55+ NA Firefox 53+ NA